Centos

Security Notice
While the information on this site currently remains available for reference purposes, you are strongly recommended to use at least the latest MariaDB release in your series. You can download packages and set up repos from http://downloads.mariadb.org/. For more information see the summary post MariaDB Security Updates or ask Open Query.
Instructions for MariaDB 5.2 (new release)
Install the OurDelta release RPM :
rpm -ivh http://master.ourdelta.org/yum/CentOS-MariaDB52/ourdelta-release-5-1.noarch.rpm

For client connectivity:
yum install MariaDB-client
This version of MariaDB does not conflict with any prior installation of MySQL.
Instructions for MySQL 5.0 and MariaDB up to 5.1 (obsolete packages)
Install the YUM ProtectBase plug-in, get the initial sign key, and then the OurDelta release RPM containing YUM repo/mirror files and GPG key:

To all other repos in all .repo files or any repos that you have in /etc/yum.conf if you want them unprotected, otherwise they belong to the group.
protect=1

MariaDB 5.1 and Upgrading
MariaDB (5.1) purposely conflicts with MySQL (5.0), so you don’t magically/automatically upgrade from 5.0 to 5.1. You can force it, or (more appropriately) remove the 5.0 packages then install the 5.1 packages.

Removing does not remove /var/lib/mysql (the data directory). But of course it’s always wise to make a backup of the physical, as well as doing a mysqldump.
Please note: right now we only have RHEL/CentOS 5 packages of MariaDB 5.1. If you need packages for RHEL/CentOS 4, please let us know.

Packages

  • MySQL-OurDelta-server
  • MySQL-OurDelta-shared
  • MySQL-OurDelta-client
  • MySQL-OurDelta-devel
  • MySQL-OurDelta-test
  • MySQL-OurDelta-debuginfo
  • MySQL-OurDelta-Sail-… same as above for the bleeding edge build.
  • MariaDB-OurDelta-… same as above for MariaDB 5.1